summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-10-11 09:39:01 -0700
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-10-11 09:39:44 -0700
commit237df1444a37c5bc04de2adaa6f811ee27d1ab78 (patch)
treeaf3934ae1cca95b4c724571f765386f28ca822ba
parentsci-libs/rtree-0.9.4: set DISTUTILS_USE_SETUPTOOLS (diff)
downloadgentoo-237df1444a37c5bc04de2adaa6f811ee27d1ab78.tar.gz
gentoo-237df1444a37c5bc04de2adaa6f811ee27d1ab78.tar.bz2
gentoo-237df1444a37c5bc04de2adaa6f811ee27d1ab78.zip
sys-devel/rust-std: fix rustlib path
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
-rw-r--r--sys-devel/rust-std/rust-std-1.47.0.ebuild2
1 files changed, 1 insertions, 1 deletions
diff --git a/sys-devel/rust-std/rust-std-1.47.0.ebuild b/sys-devel/rust-std/rust-std-1.47.0.ebuild
index a3280e895ec..5b968dc0697 100644
--- a/sys-devel/rust-std/rust-std-1.47.0.ebuild
+++ b/sys-devel/rust-std/rust-std-1.47.0.ebuild
@@ -148,7 +148,7 @@ src_test() {
src_install() {
local rustlib="lib/rust/${PV}/rustlib"
dodir "/usr/${rustlib}"
- pushd "build/${rhost}/stage0-sysroot/${rustlib}" > /dev/null || die
+ pushd "build/${rhost}/stage0-sysroot/lib/rustlib" > /dev/null || die
cp -pPRv "${rtarget}" "${ED}/usr/${rustlib}" || die
popd > /dev/null || die
}